## org.apache.batik.ext.awt.image
Class SVGComposite.OverCompositeContext_NA

    java.lang.Object
      org.apache.batik.ext.awt.image.SVGComposite.AlphaPreCompositeContext
          org.apache.batik.ext.awt.image.SVGComposite.OverCompositeContext_NA

All Implemented Interfaces:
  java.awt.CompositeContext

Enclosing class:
  SVGComposite

public static class SVGComposite.OverCompositeContext_NA
extends SVGComposite.AlphaPreCompositeContext

This implements SRC_OVER for 4 band byte src data and 3 band byte dst data.

Method Summary
`void` `precompose(java.awt.image.Raster src, java.awt.image.Raster dstIn, java.awt.image.WritableRaster dstOut)`

Methods inherited from class org.apache.batik.ext.awt.image.SVGComposite.AlphaPreCompositeContext
`compose, dispose`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### precompose

    public void precompose(java.awt.image.Raster src,
                           java.awt.image.Raster dstIn,
                           java.awt.image.WritableRaster dstOut)

  Specified by:
    `precompose` in class `SVGComposite.AlphaPreCompositeContext`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.